Subject: bug#25453: Keyboard layout configuration

From: Ludovic Courtès <[email-masked]>
Date: Tue, 15 Jan 2019 23:21:56 +0100

Hello nee!

nee <[email-masked]> skribis:

> Am 13.01.19 um 22:36 schrieb Ludovic Courtès:
>>> 1) grub
>>> 2) linux's initrd
>>> 3) console
>>> 4) X/wayland's layout
>>> 5) How to do the above
>> 
>
> Hello, I was working on this recently and made a patch for X11 that
> fixes the layout in the slim login and when you login into gnome3 or
> whatever desktop environment.
>
> I also made a patch for grub that fixes the layout when you edit the
> boot command for a menu entry, but not for the luks prompt. I think that
> might require installing a custom grub image (grub-mkimage) with
> grub-bios-setup instead of using grub-install (I saw some posts on the
> archlinux forum I don't have a link to right now). But this patch should
> lay the groundwork for it, as it can generate grub keyboard config files.
>
> The patches are pretty dirty, but I might not have that much time in the
> next few weeks to work on this, and since is hot on the mailing list
> right now, I'm sending them here now.

Nice, you did well!

I’ve already pushed “bdfresize” and “console-setup” partly based on your
patches:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=fe77ede70ad292c8fcba80f34b356fecd86f7f78
  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=41a54622b691b68e342a0c7de23fec8de14cb739

The GRUB and Xorg parts look overall like the right thing to me—I’ll
take some time to review more closely soon.

Then we’ll also need to think about extending the bootloader API (not
GRUB-specific), and then providing a way to specify the layout globally
in a single place.

Anyway, thanks a lot for helping out!

Ludo’.